# -*- encoding : utf-8 -*-

class Admin::MOdrFileTypesController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @m_odr_file_types = MOdrFileType.order(:name).all

  end

  def show
    @m_odr_file_type = MOdrFileType.find(params[:id])

  end

  def new
    @m_odr_file_type = MOdrFileType.new
  
  end

  def edit
    @m_odr_file_type = MOdrFileType.find(params[:id])
    
  end

  def create
    @m_odr_file_type = MOdrFileType.new(params.require(:m_odr_file_type).permit!)

    if @m_odr_file_type.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_file_type = MOdrFileType.find(params[:id])


    if @m_odr_file_type.update_attributes(params.require(:m_odr_file_type).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_file_type = MOdrFileType.find(params[:id])
    @m_odr_file_type.destroy
    
  end
end
